## gate.event
Interface GateListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  ObjectModificationListener

public interface GateListener
extends EventListener

The listenre for the toplevel events generated by the Gate system.

Method Summary
`void` `processGateEvent(GateEvent e)` Called when a Gate event has occured

Method Detail

### processGateEvent

    public void processGateEvent(GateEvent e)

  Called when a Gate event has occured